# Task Comments

## Create a new comment for a task

 - [POST /tasks/comments](https://developers.kanbert.com/api/task-comments/taskcomments.store.md): Required scopes: task-management:write

## Update a tasks comment's content

 - [PATCH /tasks/comments/{id}](https://developers.kanbert.com/api/task-comments/taskcomments.update.md): Required scopes: task-management:write

Comments can only be updated by the author of the comment

## Retrieve a tasks comment

 - [GET /tasks/comments/{id}](https://developers.kanbert.com/api/task-comments/taskcomments.show.md): Required scopes: task-management:read

## Delete a tasks comment

 - [DELETE /tasks/comments/{id}](https://developers.kanbert.com/api/task-comments/taskcomments.destroy.md): Required scopes: task-management:write

Comments can only be deleted by the author of the comment

## Upload file to a task comment

 - [POST /tasks/comments/{id}/upload](https://developers.kanbert.com/api/task-comments/taskcomments.upload.md): Required scopes: task-management:write

Files can only be uploaded by the author of the comment

## List all comments for a task

 - [GET /tasks/{id}/comments](https://developers.kanbert.com/api/task-comments/taskcomments.comments.md): Required scopes: task-management:read

## Comment created

 - [POST comment:created](https://developers.kanbert.com/api/task-comments/paths/comment:created/post.md): comment:create - A new comment was created

## Comment updated

 - [POST comment:updated](https://developers.kanbert.com/api/task-comments/paths/comment:updated/post.md): comment:update A Comment was updated

## Comment deleted

 - [POST comment:deleted](https://developers.kanbert.com/api/task-comments/paths/comment:deleted/post.md): comment:delete - A comment was deleted

